package application.editor;

import com.mxgraph.swing.mxGraphComponent;
import com.mxgraph.swing.view.mxICellEditor;

import java.util.EventObject;

public abstract class FlowCellEditor implements mxICellEditor {

    protected Stage stage;
    protected mxGraphComponent graphComponent;

    protected Object editingCell = null;

    protected FlowCellEditor(Stage stage, mxGraphComponent graphComponent) {
        this.stage = stage;
        this.graphComponent = graphComponent;
    }

    public abstract void startEditing(Object cellObj, EventObject eventObj);

    public abstract void stopEditing(boolean cancel);

    public Object getEditingCell() {
        return this.editingCell;
    }
}
